using Microsoft.AspNetCore;
using Microsoft.AspNetCore.Hosting;

namespace rockfishCore
{
    public class Program
    {
        public static void Main(string[] args)
        {
            BuildWebHost(args).Run();
        }

        public static IWebHost BuildWebHost(string[] args) =>
            WebHost.CreateDefaultBuilder(args)
                .UseUrls("http://*:3001")
                .CaptureStartupErrors(true)
                .UseSetting("detailedErrors", "true")
                .UseKestrel()
                .UseContentRoot(System.IO.Directory.GetCurrentDirectory())               
                .UseStartup<Startup>()
                .Build();
    }
}
